{"swagger":"2.0","info":{"version":"1.0.8.0","title":"3EX.NET API","description":"3EX.NET API Version 1.0.8.0"},"paths":{"/api/addresses/accountAgreements/{id}":{"get":{"tags":["AccountAgreement"],"summary":"Get an Account Agreement by Id","operationId":"GetById","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of row to retrieve","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AccountAgreementModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]},"patch":{"tags":["AccountAgreement"],"summary":"Modify an Account Agreement","operationId":"Patch","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"accountAgreementModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/AccountAgreementModel"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/addresses/accountAgreements":{"post":{"tags":["AccountAgreement"],"summary":"Create a new Account Agreement","operationId":"Post","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"accountAgreementModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/AccountAgreementModel"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/addresses/{id}/accountAgreements":{"get":{"tags":["AccountAgreement"],"summary":"Get all Account Agreements associated with specified address id","operationId":"GetByAddressId","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of Address to retrieve account agreements for.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AccountAgreementModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/addresses/{id}":{"get":{"tags":["Address"],"summary":"Get an Address By Id","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of Address to retrieve","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]},"patch":{"tags":["Address"],"summary":"Update an Address","operationId":"Patch","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of the address to update.","required":true,"type":"integer","format":"int32"},{"name":"addressModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/AddressModel"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/addresses/{uniqueIdentifier}":{"get":{"tags":["Address"],"summary":"Get an Address By Unique Identifier","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"uniqueIdentifier","in":"path","description":"UniqueIdentifier of Address to retrieve.","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/addresses":{"post":{"tags":["Address"],"summary":"Create a new Address","operationId":"Post","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"addressModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/AddressModel"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts/communications/{id}":{"get":{"tags":["AddressCommunication"],"summary":"Get a Communication record by Id","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of row to retrieve","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]},"patch":{"tags":["AddressCommunication"],"summary":"Update Communication details","operationId":"Patch","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of the communication data row to update.","required":true,"type":"integer","format":"int32"},{"name":"addressCommunicationModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/AddressCommunicationModel"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts/{id}/communications":{"get":{"tags":["AddressCommunication"],"summary":"Get current Communication details associated with specified contact id","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of Contact to retrieve address communication data for.","required":true,"type":"integer","format":"int32"},{"name":"filter","in":"query","description":"Optional filter string.","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressCommunicationModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts/communications":{"post":{"tags":["AddressCommunication"],"summary":"Create Communication details","operationId":"Post","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"addressCommunicationModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/AddressCommunicationModel"}}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressCommunicationModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts/{id}":{"get":{"tags":["AddressContact"],"summary":"Get an AddressContact By Id","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of AddressContact to retrieve","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressContactModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts/{uniqueIdentifier}":{"get":{"tags":["AddressContact"],"summary":"Get an AddressContact By Unique Identifier","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"uniqueIdentifier","in":"path","description":"UniqueIdentifier of AddressContact to retrieve.","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressContactModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts":{"post":{"tags":["AddressContact"],"summary":"Create a new AddressContact","operationId":"Post","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"addressContactModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/AddressContactModel"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts/{id}/systemIntegration":{"get":{"tags":["AddressContactSystemIntegration"],"summary":"Get System Integration data associated with specified contact id","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of Contact to retrieve system integration data for.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressContactSystemIntegrationModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/addresses/{id}/systemIntegration":{"get":{"tags":["AddressSystemIntegration"],"summary":"Get Address System Integration data associated with specified address id","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of Address to retrieve system integration data for.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AddressSystemIntegrationModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/communicationTypes/{id}":{"get":{"tags":["CommunicationType"],"summary":"Get CommunicationType by Id","operationId":"GetById","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"CommunicationType Id","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/CommunicationTypeModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/communicationTypes":{"get":{"tags":["CommunicationType"],"summary":"Get All Communication Types","operationId":"Index","consumes":[],"produces":["application/json"],"parameters":[],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/CommunicationTypeModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/countries/{id}":{"get":{"tags":["Country"],"summary":"Get Country by Id","operationId":"GetById","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Country Id","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/CountryModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/countries":{"get":{"tags":["Country"],"summary":"Get Countries","operationId":"Index","consumes":[],"produces":["application/json"],"parameters":[],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/CountryModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/currencies/{id}":{"get":{"tags":["Currency"],"summary":"Get Currency by Id","operationId":"GetById","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Currency Id","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/CurrencyModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/currencies":{"get":{"tags":["Currency"],"summary":"Get Currencies","operationId":"Index","consumes":[],"produces":["application/json"],"parameters":[],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/CurrencyModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/holdReasons/{id}":{"get":{"tags":["HoldReason"],"summary":"Get Hold Reason by Id","operationId":"GetById","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Hold Reason Id","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/HoldReasonModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/holdReasons":{"get":{"tags":["HoldReason"],"summary":"Get Hold Reasons","operationId":"Index","consumes":[],"produces":["application/json"],"parameters":[],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/HoldReasonModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/paymentMethods/{id}":{"get":{"tags":["PaymentMethod"],"summary":"Get Payment Method by Id","operationId":"GetById","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Payment Method Id","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/PaymentMethodModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/paymentMethods":{"get":{"tags":["PaymentMethod"],"summary":"Get Payment Methods","operationId":"Index","consumes":[],"produces":["application/json"],"parameters":[],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/PaymentMethodModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/paymentService/authorisationResponse":{"post":{"tags":["PaymentService"],"summary":"Parse payment response data into transient Authorisation Response model.","operationId":"ParseAuthorisationResponse","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"authorisationResponseRequestModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/AuthorisationResponseRequestModel"}}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AuthorisationResponseModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/paymentService/paymentPortalUrl":{"post":{"tags":["PaymentService"],"summary":"Create URL to payment portal.","operationId":"CreatePaymentPortalUrl","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"paymentPortalUrlRequest","in":"body","description":"Url request data.","required":false,"schema":{"$ref":"#/definitions/PaymentPortalUrlRequestModel"}}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/PaymentPortalUrlResponseModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/paymentToken":{"put":{"tags":["PaymentToken"],"summary":"Create or update payment token.  Will perform an update if existing token with matching payment service rule and token identifier exists.","operationId":"CreatePaymentToken","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"paymentTokenModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/PaymentTokenModel"}}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/PaymentTokenModel"}},"201":{"description":"Success","schema":{"$ref":"#/definitions/PaymentTokenModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts/preferredPaymentToken":{"put":{"tags":["PreferredPaymentToken"],"summary":"Create or update preferred Payment Token. Performs update if the specified contact already has a preferred payment token.","operationId":"CreateForAddressContactId","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"preferredPaymentTokenModel","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/PreferredPaymentTokenModel"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/addresses/contacts/{id}/preferredPaymentToken":{"get":{"tags":["PreferredPaymentToken"],"summary":"Get preferred Payment Token associated with specified Address Contact id","operationId":"GetByAddressContactId","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of Address Contact to retrieve default payment token for.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/PreferredPaymentTokenModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]},"post":{"tags":["PreferredPaymentToken"],"summary":"Create preferred Payment Token for a specified Address Contact from Payment Portal Response","operationId":"CreateForAddressContactId","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Id of Address Contact the payment token will be associated with.","required":true,"type":"integer","format":"int32"},{"name":"paymentTokenCreateRequestModel","in":"body","description":"Model containing payment portal response data.","required":false,"schema":{"$ref":"#/definitions/PaymentTokenCreateRequestModel"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/products":{"get":{"tags":["Product"],"summary":"Retrieve Products for a specified Product Type.","operationId":"Index","consumes":[],"produces":["application/json"],"parameters":[{"name":"productTypeId","in":"query","description":"Use the Id of an Address Type to retrieve data","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","description":"Controls how many items should be returned, the Page Size.","required":false,"type":"integer","format":"int32"},{"name":"offset","in":"query","description":"The 1-based starting point to retrieve the page of records from.","required":false,"type":"integer","format":"int32"},{"name":"filter","in":"query","description":"Allows a filter to be specified. See the topic on Filtering for more infomration.","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/ProductCollectionResult"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorContainerModel"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}},"/api/auth/token":{"post":{"tags":["TokenRequest"],"summary":"Request a Token.","operationId":"RequestToken","consumes":["application/json-patch+json","application/json","text/json","application/*+json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"","required":false,"schema":{"$ref":"#/definitions/TokenRequest"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/userSettings":{"get":{"tags":["UserSettings"],"summary":"Obtain a User Settings Model for the currently signed in user.","operationId":"Get","consumes":[],"produces":["application/json"],"parameters":[],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/UserSettingsModel"}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/ErrorContainerModel"}}},"security":[{"bearerAuth":[]}]}}},"definitions":{"AccountAgreementModel":{"description":"","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"changeTag":{"format":"string","description":"Must be submitted when updating the resource, to allow optimistic concurrency control.","type":"string","allOf":[{}],"readOnly":true},"AddressId":{"format":"int32","description":"The Address linked to a System Integration.","type":"integer","allOf":[{}]},"AutomaticReference":{"format":"int32","description":"Reference","type":"integer","allOf":[{}]},"AgreementType":{"description":"Agreement Type","enum":["Rolling","FixedLength","ParentAddress"],"type":"string","allOf":[{}]},"StartDate":{"format":"date-time","description":"Date that the account agreement is active from.","type":"string","allOf":[{}]},"FinishDate":{"format":"date-time","description":"Date that the account agreement is active until.","type":"string","allOf":[{}]},"Cancelled":{"description":"True if the account agreement has been cancelled.","type":"boolean","allOf":[{}]},"CurrencyId":{"format":"int32","description":"Currency Id","type":"integer","allOf":[{}]},"TaxId":{"format":"int32","description":"Tax Id","type":"integer","allOf":[{}]},"VatRegistrationNumber":{"format":"string","description":"","type":"string","allOf":[{}]}}},"ErrorContainerModel":{"description":"Container for an Error.","type":"object","properties":{"Error":{"$ref":"#/definitions/ErrorModel","description":"The Error"}}},"ErrorModel":{"description":"An Error.","type":"object","properties":{"Code":{"description":"The Code of the error","enum":["General","NotFound","Forbidden","BadRequest","BadFilter","Conflict","ServerError","PreconditionFailed"],"type":"string"},"Message":{"description":"A more detailed error message.","type":"string"},"InnerError":{"$ref":"#/definitions/ErrorModel","description":"Nested error."}}},"AddressModel":{"description":"An Address Model.","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"changeTag":{"format":"string","description":"Must be submitted when updating the resource, to allow optimistic concurrency control.","type":"string","allOf":[{}],"readOnly":true},"addressCode":{"format":"string","description":"The Code of the Address. Supports filtering.","type":"string","allOf":[{}]},"addressTypeId":{"format":"int32","description":"The Id of the AddressType this Address is for.","type":"integer","allOf":[{}]},"Active":{"description":"Indicates whether the data is active.","enum":["Inactive","Active"],"type":"string","allOf":[{}]},"Individual":{"description":"Controls whether an Address is an Organisation or Individual","enum":["Organisation","Individual"],"type":"string","allOf":[{}]},"OrganisationName":{"format":"string","description":"If this Address is an Organisation, holds the Organisation Name.","type":"string","allOf":[{}]},"AddressLine1":{"format":"string","description":"Stores AddressLine1 for the Address.","type":"string","allOf":[{}]},"AddressLine2":{"format":"string","description":"Stores AddressLine2 for the Address.","type":"string","allOf":[{}]},"AddressLine3":{"format":"string","description":"Stores AddressLine3 for the Address.","type":"string","allOf":[{}]},"AddressLine4":{"format":"string","description":"Stores AddressLine4 for the Address.","type":"string","allOf":[{}]},"AddressLine5":{"format":"string","description":"Stores AddressLine5 for the Address.","type":"string","allOf":[{}]},"Postcode":{"format":"string","description":"Postcode for the Address","type":"string","allOf":[{}]},"CountryId":{"format":"int32","description":"Country Id for the Address.","type":"integer","allOf":[{}]},"ImportedCode":{"format":"string","description":"Imported Code for the Address","type":"string","allOf":[{}]},"MailingPreference":{"description":"Mailing Preference for the Address","enum":["None","InHouseOnly","ThirdPartyOnly","All","Unspecified"],"type":"string","allOf":[{}]}}},"AddressCommunicationModel":{"description":"","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"changeTag":{"format":"string","description":"Must be submitted when updating the resource, to allow optimistic concurrency control.","type":"string","allOf":[{}],"readOnly":true},"AddressContactId":{"format":"int32","description":"Contact that the communication details are linked to.","type":"integer","allOf":[{}]},"CommunicationTypeId":{"format":"int32","description":"","type":"integer","allOf":[{}]},"DataType":{"description":"Data Type of the record, ie Email, Telephone, Web Address or 'other'","enum":["Unformatted","Telephone","Email","WebAddress"],"type":"string","allOf":[{}],"readOnly":true},"Usage":{"description":"Specific usage of the record, ie HomeTelephone, WorkTelephone etc.","enum":["Unspecified","HomeTelephone","WorkTelephone","MobileTelephone","FaxTelephone","OtherTelephone","PrimaryEmail","PrimaryWebAddress"],"type":"string","allOf":[{}],"readOnly":true},"Details":{"format":"string","description":"Communication details as text.","type":"string","allOf":[{}]}}},"AddressContactModel":{"description":"An AddressContact model.","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"Active":{"description":"Indicates whether the data is active.","enum":["Inactive","Active"],"type":"string","allOf":[{}]},"ContactName":{"format":"string","description":"Name of the contact","type":"string","allOf":[{}]},"Gender":{"description":"Gender.","enum":["Unspecified","Male","Female"],"type":"string","allOf":[{}]},"Individual":{"description":"Whether this is an individual contact or a company contact.","enum":["Organisation","Individual"],"type":"string","allOf":[{}]},"AddressId":{"format":"int32","description":"Address Id that this contact is associated with.","type":"integer","allOf":[{}]}}},"AddressContactSystemIntegrationModel":{"description":"","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"AddressContactId":{"format":"int32","description":"The Address Contact linked to a System Integration.","type":"integer","allOf":[{}]},"UniqueIdentifier":{"format":"uuid","description":"The unique identifier.","type":"string","allOf":[{}]}}},"AddressSystemIntegrationModel":{"description":"Complete AddressSystemIntegration model","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"AddressId":{"format":"int32","description":"The Address linked to a System Integration.","type":"integer"},"SystemIntegrationId":{"format":"int32","description":"The System Integration the Address is linked to.","type":"integer"},"UniqueIdentifier":{"format":"uuid","description":"The unique identifier.","type":"string"}}},"CommunicationTypeModel":{"description":"Communication Type","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}]},"code":{"format":"string","description":"Country Code","type":"string","allOf":[{}]},"Description":{"format":"string","description":"Country Description","type":"string","allOf":[{}]},"DataType":{"description":"","enum":["Unformatted","Telephone","Email","WebAddress"],"type":"string","allOf":[{}]},"Usage":{"description":"Specific usage of the record, ie HomeTelephone, WorkTelephone etc.","enum":["Unspecified","HomeTelephone","WorkTelephone","MobileTelephone","FaxTelephone","OtherTelephone","PrimaryEmail","PrimaryWebAddress"],"type":"string","allOf":[{}],"readOnly":true}}},"CountryModel":{"description":"Country model","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}]},"code":{"format":"string","description":"Country Code","type":"string","allOf":[{}]},"Description":{"format":"string","description":"Country Description","type":"string","allOf":[{}]},"IsoAlpha3":{"format":"string","description":"ISO 3166-1 Alpha 3 code.","type":"string","allOf":[{}]},"IsoAlpha2":{"format":"string","description":"ISO 3166-1 Alpha 2 code.","type":"string","allOf":[{}]},"CurrencyId":{"format":"int32","description":"Currency Id","type":"integer","allOf":[{}]},"TaxId":{"format":"int32","description":"Tax Id","type":"integer","allOf":[{}]}}},"CurrencyModel":{"description":"Currency model","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}]},"code":{"format":"string","description":"Country Code","type":"string","allOf":[{}]},"Description":{"format":"string","description":"Currency Description","type":"string","allOf":[{}]},"IsoAlpha3":{"format":"string","description":"ISO 4217 Alpha code.","type":"string","allOf":[{}]},"Exponent":{"format":"double","description":"Exponent.","type":"number","allOf":[{}]}}},"HoldReasonModel":{"description":"Hold Reason model","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}]},"code":{"format":"string","description":"Hold reason code","type":"string","allOf":[{}]},"Description":{"format":"string","description":"Hold reason description","type":"string","allOf":[{}]},"Details":{"format":"string","description":"Friendly description of hold reason, suitable for consumers.","type":"string","allOf":[{}]}}},"PaymentMethodModel":{"description":"Payment Method model","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}]},"Code":{"format":"string","description":"Country Code","type":"string","allOf":[{}]},"Description":{"format":"string","description":"Currency Description","type":"string","allOf":[{}]}}},"AuthorisationResponseRequestModel":{"description":"","type":"object","properties":{"PaymentMethodId":{"format":"int32","description":"","type":"integer"},"PortalResponseData":{"description":"","type":"string"}}},"AuthorisationResponseModel":{"description":"","type":"object","properties":{"Result":{"description":"Authorisation result.","enum":["Fail","Error","Referral","Declined","Rejected","Charged","Authorised","TokenRegistered"],"type":"string","allOf":[{}]},"AuthorisationCode":{"description":"Authorisation code returned by payment service provider.","type":"string"},"AuthorisationMessage":{"description":"Authorisation message returned by payment service provider.","type":"string"},"AuthorisationAmount":{"format":"double","description":"Amount that was authorised.","type":"number"},"HoldReasonModel":{"$ref":"#/definitions/HoldReasonModel","description":"Hold reason, based on authorisation result and payment service rule.  May be null if not relevant."},"PaymentTokenModel":{"$ref":"#/definitions/PaymentTokenModel","description":"Transient model. May be submitted back to the API to upsert into a concrete payment token."}}},"PaymentTokenModel":{"description":"Payment Token model","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"ChangeTag":{"format":"string","description":"Must be submitted when updating the resource, to allow optimistic concurrency control.","type":"string","allOf":[{}],"readOnly":true},"TokenIdentifier":{"format":"string","description":"Token Identifier. Only relevant for Insert requests.","type":"string","allOf":[{}]},"MaskedCardNumber":{"format":"string","description":"Masked version of the card number","type":"string","allOf":[{}]},"CardExpiryDate":{"format":"date-time","description":"Card Expiry Date","type":"string","allOf":[{}]},"CardSchemeName":{"format":"string","description":"Card Scheme Name","type":"string","allOf":[{}]},"TokenExpiryDate":{"format":"date-time","description":"Token Expiry Date","type":"string","allOf":[{}]},"PaymentServiceRuleId":{"format":"int32","description":"Payment Service Rule Id this token is associated with.","type":"integer","allOf":[{}]}}},"PaymentPortalUrlRequestModel":{"description":"Parameters required to generate payment portal url.","type":"object","properties":{"PaymentMethodId":{"format":"int32","description":"Payment Method Id","type":"integer"}}},"PaymentPortalUrlResponseModel":{"description":"","type":"object","properties":{"Url":{"description":"Payment Portal Url that was generated.","type":"string"}}},"PreferredPaymentTokenModel":{"description":"Default Token that is associated with an Address Contact","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"ChangeTag":{"format":"string","description":"Must be submitted when updating the resource, to allow optimistic concurrency control.","type":"string","allOf":[{}],"readOnly":true},"MaskedCardNumber":{"format":"string","description":"Masked version of the card number","type":"string","allOf":[{}]},"CardExpiryDate":{"format":"date-time","description":"Card Expiry Date","type":"string","allOf":[{}]},"CardSchemeName":{"format":"string","description":"Card Scheme Name","type":"string","allOf":[{}]},"AddressContactId":{"format":"int32","description":"Address Contact Id","type":"integer","allOf":[{}]},"PaymentTokenId":{"format":"int32","description":"Payment Token Id","type":"integer","allOf":[{}]}}},"PaymentTokenCreateRequestModel":{"description":"","type":"object","properties":{"PaymentMethodId":{"format":"int32","description":"","type":"integer"},"PortalResponsePostData":{"description":"The response from the Portal.","type":"string"}}},"ProductCollectionResult":{"description":"Results of retrieving Products","type":"object","properties":{"Products":{"description":"The Products that were loaded.","uniqueItems":false,"type":"array","items":{"$ref":"#/definitions/ProductModel"}}}},"ProductModel":{"description":"A Product","type":"object","properties":{"id":{"format":"int32","description":"The Id of the item.","type":"integer","allOf":[{}],"readOnly":true},"Code":{"description":"Unique code","type":"string"},"Description":{"description":"Description","type":"string"},"ProductTypeId":{"format":"int32","description":"The Id of the Product Type that this Product belongs to","type":"integer"},"Weight":{"format":"double","description":"Weight of the Product","type":"number"},"Height":{"format":"double","description":"Height of the Product","type":"number"},"Width":{"format":"double","description":"Width of the Product","type":"number"},"Depth":{"format":"double","description":"Depth of the Product","type":"number"},"DiscontinueStatus":{"description":"Discontinue Status","enum":["Normal","Discontinued","StockRemaining"],"type":"string"}}},"TokenRequest":{"description":"The data used to obtain a Token","type":"object","properties":{"Username":{"description":"Username for Token request","type":"string"},"Password":{"description":"Password for Token request.","type":"string"}}},"UserSettingsModel":{"description":"Stores details on the settings for a User. These contain Ids that are required when accessing other endpoints.","type":"object","properties":{"CompanyId":{"format":"int32","description":"The Id of the Company that this user belongs to.","type":"integer"},"CompanyDivisionId":{"format":"int32","description":"The Id of CompanyDivision for this user.","type":"integer"},"ProductTypeId":{"format":"int32","description":"The Id of the ProductType for this user.","type":"integer"},"AddressTypeIdForSales":{"format":"int32","description":"The Id of the AddressType to use for Sales Addresses.","type":"integer"},"AddressTypeIdForPurchases":{"format":"int32","description":"The Id of the AddressType to use for Purchase Addresses.","type":"integer"}}}},"securityDefinitions":{"bearerAuth":{"name":"Authorization","in":"header","type":"apiKey","description":"Bearer token required. Use auth/token to get a token and then set the value to Bearer + token."}}}